PHP Multiple Vulnerabilities - 01 - Mar13 (Windows)

Published: 2013-03-21 10:57:46
CVE Author: NIST National Vulnerability Database (NVD)

CVSS Base Vector:
AV:N/AC:M/Au:N/C:N/I:P/A:P

Summary:
This host is running PHP and is prone to multiple vulnerabilities.

Detection Method:
Checks if a vulnerable version is present on the target host.

Technical Details:
Flaw due to insufficient validation of file-upload implementation in rfc1867.c and it does not handle invalid '[' characters in name values.

Impact:
Successful exploitation will allow attackers to retrieve, corrupt or upload arbitrary files, or can cause denial of service via corrupted $_FILES indexes.

Affected Versions:
PHP version before 5.4.0

Recommendations:
Upgrade to PHP 5.4.0 or later.

Detection Type:
Remote Banner

Solution Type:
Vendor Patch

NIST (National Institute of Standards and Technology) NVD (National Vulnerability Database)

https://nvd.nist.gov/vuln/detail/CVE-2012-1172

SecurityFocus Bugtraq ID:

https://www.securityfocus.com/bid/53403

References:

http://www.php.net/ChangeLog-5.php
http://cxsecurity.com/cveshow/CVE-2012-1172
http://secunia.com/advisories/cve_reference/CVE-2012-1172
http://www.php.net/downloads.php

Search
Severity
Medium
CVSS Score
5.8

You never have to pay for a vulnerability scanning and management software again.

Tired of paying a subscription 'per asset' or 'per IP'? Well you can officially cancel your current subscription. Mageni provides a free, open source and enterprise-ready vulnerability scanning and management platform which helps you to find, prioritize, remediate and manage your vulnerabilities. It is free and always will be.